@import "../../../theme/mixins";

.background {
  background-image: url("../../../assets/images/landing-page-2.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 50vh;
}

.manage-requests {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  .top-content {
    color: white;
    text-shadow: 2px 2px 4px #000000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 20vh;

    .title {
      font-family: Arial Helvetica, sans-serif;
      font-weight: 500;
      font-size: 4.8rem;
      line-height: 5.2rem;
      margin: 1rem auto;
    }
  }

  &-list {
    @include esspass-14-grid-random-width-gap-template(10rem, 1.5rem);
    grid-template-rows: 5rem 5rem auto;

    border: #1a1d1e 0.1rem solid;
    padding: 1rem 0;
    border-radius: 2.5rem;
    background: #ffffff;
    margin: 10rem 0;

    .headline {
      grid-column: 2/14;
      font-size: 1.6rem;
      padding: 1rem 1rem;
      border-bottom: #1a1d1e 1px solid;
    }

    issuer-search-pda1 {
      grid-column: 11/14;
      display: flex;
      justify-content: flex-end;
    }

    issuer-request-form-table {
      grid-column: 2/14;
      min-height: 35rem;
    }
  }

  @media screen and (max-width: 1194px) {
    &-list {
      @include esspass-14-grid-random-width-gap-template(7.5rem, 1.5rem);
    }
  }
}
